org.richfaces.fragment.extendedDataTable

## Class RichFacesExtendedDataTable<HEADER,ROW,FOOTER>

- java.lang.Object
- - org.richfaces.fragment.dataTable.AbstractTable<HEADER,ROW,FOOTER>
  - - org.richfaces.fragment.extendedDataTable.RichFacesExtendedDataTable<HEADER,ROW,FOOTER>

- All Implemented Interfaces:
    AdvancedInteractions<AbstractTable.AdvancedTableInteractions>, DataTable<HEADER,ROW,FOOTER>, ExtendedDataTable

      public abstract class RichFacesExtendedDataTable<HEADER,ROW,FOOTER>
      extends AbstractTable<HEADER,ROW,FOOTER>
      implements ExtendedDataTable

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `AbstractTable.AdvancedTableInteractions`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `browser, root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesExtendedDataTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions` | `advanced()`
    `void` | `deselectRow(int rowIndex, org.openqa.selenium.Keys... keys)` Deselects a particular row.
    `void` | `selectRow(int rowIndex, org.openqa.selenium.Keys... keys)` Selects a particular row.

    - ### Methods inherited from class org.richfaces.fragment.dataTable.AbstractTable

      `getAllRows, getFirstRow, getFooter, getHeader, getLastRow, getRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesExtendedDataTable

          public RichFacesExtendedDataTable()

  - ### Method Detail

    - #### selectRow

          public void selectRow(int rowIndex,
                       org.openqa.selenium.Keys... keys)

      Description copied from interface: `ExtendedDataTable`
      Selects a particular row. All indexes are relative to one page. It does not take into account table pagination.
      Specified by:
        `selectRow` in interface `ExtendedDataTable`
      Parameters:
        `rowIndex` - the index of the row to be selected
        `keys` - the keys to be pressed prior the selecting of the row, and released afterwards. No more than 2 keys can be passed. Usually, used ones are SHIFT and CONTROL.

    - #### deselectRow

          public void deselectRow(int rowIndex,
                         org.openqa.selenium.Keys... keys)

      Description copied from interface: `ExtendedDataTable`
      Deselects a particular row. All indexes are relative to one page. It does not take into account table pagination.
      Specified by:
        `deselectRow` in interface `ExtendedDataTable`
      Parameters:
        `rowIndex` - the index of the row to be deselected
        `keys` - the keys to be pressed prior the deselecting of the row, and released afterwards. No more than 2 keys can be passed. Usually, used ones are SHIFT and CONTROL.

    - #### advanced

          public RichFacesExtendedDataTable.AdvancedExtendedDataTableInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractTable.AdvancedTableInteractions>`
      Specified by:
        `advanced` in class `AbstractTable<HEADER,ROW,FOOTER>`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.